We use cookies to operate this website, improve its usability and track visits. Please note that by using this site you are consenting to the use of cookies.
Learn More |
I'm a solidworks beginner. I'm trying to create a J-slot guided by equation driven curve. The 3D sketch in the part file represents path of the center of the end mill. I had tried the Swept Cut (sketch profile & solid profile) method and the "Wrap -> Delete Face -> Lofted Surface -> Knit Surface" method.
SOLIDWORKS Forums
18 days ago
When I'm trying to start up my toolbox utilities , Solidworks goes in "not responding" mode. Toolbox library works properly. Is there any solution for this problem?
SOLIDWORKS Forums
18 days ago
Has anyone been working with the new 3D Interconnect possibilities while designing molds? More specific i would like to know if anyone has been designing molds based upon parts created in CREO 3, and have tried updated their mold design with a new part revision with success?
SOLIDWORKS Forums
18 days ago
Hi everyone, I hope someone out there has an answer to this problem. Or maybe a few and I can try them all. I have 2 sheet metal trays and I need to create a loft/ boundary between them.
SOLIDWORKS Forums
18 days ago
I want to activate tab on Data card using Current State variable. For e.g. Suppose I change file state of particular file so the tab should be activated when file is transferred to required state. Steven Richmond Mar 10, 2017 4:19 AM (in response to Hrishikesh Shirsikar) Create a variable that you set through a workflow transition action with the value %deststatus%.
SOLIDWORKS Forums
18 days ago
Double click dimensions doesn't work Incredibly frustrating. The dimensions are hard to click, and they only show in certain zoom levels.
SOLIDWORKS Forums
18 days ago
I created the Custom Property "TOTAL WGT" which I want to be the product of "QUANTITY" X "WEIGHT". How do I enter that in the Value/Text Expression column? , custom properties
SOLIDWORKS Forums
18 days ago
I've just upgraded to 2017, and my design is taking 1-1/2 hours to load. Used to take about a minute. Works fine once loaded.
SOLIDWORKS Forums
18 days ago
sometimes addordinate dimension doesn't works hallo guis, i just need some suggestion
SOLIDWORKS Forums
18 days ago
So I am working with some curves that I would like to be able to add dimensional coordinates to, based off XY grid. My thoughts were to make a tangent construction line at each end of the curve in X direction then to get the XY coordinates every 1/2" or such. I can manually do this fairly easily but i was looking for a more automated way. Does anyone have any ideas, or even a API direction to suggest for me to pursue?
SOLIDWORKS Forums
18 days ago
It probably means that the path of a file (which inlcudes the folders and the file name and its extension) is longer than the 256 character limit supported by Microsoft Windows. If there are many levels of subfolders or very long file names etc, this will cause a long file path and possibly exceed the Windows limit.
SOLIDWORKS Forums
18 days ago
WARNING!! Warranty void if seal is broken, etc. etc. If you decide to muck around with your SolidWorks system files, it's your responsibility.
SOLIDWORKS Forums
18 days ago
Cut-list Property Macro I am looking for a macro that will allow me to select a specific cut-list in my part, and modify the cut-list properties of the selected cut-list. As an example, with Cut-List1 selected, the macro would edit the Cut-list properties to alter the description property and add the Length property.
SOLIDWORKS Forums
18 days ago
Crashing when Rendering 2017 Hello can anybody tell me please what files i need to exclude from Kaspersky Endpoint Security 10, I have done Sldworks.exe, also the main folder in C: program files and Solidworks data.
SOLIDWORKS Forums
18 days ago
I'm looking for a macro that adds a configuration specific property based on sheet metal flat pattern dimensions (something like t x W x L). I've found this macro , but it should be run while the part is flattened. Otherwise it only returns bounding box.
SOLIDWORKS Forums
18 days ago
Hi Guys, I try to add my addin dll to EPDM for debug purpose while it can't work. The addin disappear after I added. However, I can add this addin to EPDM successfully. Pls advise.
SOLIDWORKS Forums
18 days ago
Non-planar Curve-driven Pattern? Hello. I'm trying to space a number of features along a series of arcs in a 3d sketch.
SOLIDWORKS Forums
18 days ago
solidworks.msi Please give more details.
SOLIDWORKS Forums
18 days ago
when you click a point ,the status bar show the point coordinate values Try these codes and modify as needed Option Explicit Sub main() Dim swApp As SldWorks.SldWorks Dim swModel As SldWorks.ModelDoc2 Dim swSelMgr As SldWorks.SelectionMgr Dim selPt As Variant Set swApp = Application.SldWorks Set swModel = swApp.ActiveDoc selPt = swModel.SelectionManager.GetSelectionPoint2(1, -1) Debug.Print selPt(0) * 1000# & ", " & selPt(1) * 1000# & ", " & selPt(2) * 1000# ' Values in MM swModel.
SOLIDWORKS Forums
19 days ago
I have problems at the time of assembly in the drawing section, results section become yellow as the color of lost / warning. why is that so? Check the sketch for the section line OR could be possible that section line is creating a zero geometry. Try moving the section line (slightly) and see if that helps.
SOLIDWORKS Forums
19 days ago
I want to write a code to auto run when i startup a specified add-in ,such as inspection add in . do you how to use sw API event. Are you using the Addin template from Solidworks? There is a ConnectedToSolidWorks method that gets called after the add-in is connected.
SOLIDWORKS Forums
19 days ago
I mean, seriously. What is this? I want this, but no matter what I click or what settings I tweak, it always ends up useless.
SOLIDWORKS Forums
19 days ago
I hope you can help me to find a way to build a pieces catalogue, I have a lot of pieces which have a lot of configurations, but I don't want to save every configuration due the fact that only varies, for example, the length or maybe the diameter. e.g. I built some tubes (we don't have the routing tool so I watn to build something similar but only with the pieces we use more often), then I made configurations for each schedule (they are standard based tubes) and each diameter, but I want length
SOLIDWORKS Forums
19 days ago
Toolbox file missing I would like to know about a toolbox's file that appears to be missing, when I try to insert a Smart Fasteners' operation, it shows me a message like the one below. I don't know what file it is or how to recover it.
SOLIDWORKS Forums
19 days ago